.flex-col {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1em;
}

@media (min-width: 1024px) {
  .flex-row {
    display: flex;
    flex-direction: row;
  }
}

.flex-center {
  justify-content: center;
  align-items: center;
}

.flex-space {
  justify-content: space-around;
}

.flex-between {
  justify-content: space-between;
}

.align-center {
  align-items: center;
}

@media (max-width: 599px) {
  .mobile\:justify-center {
    justify-content: center;
  }
}

.flex-end {
  justify-content: flex-end;
}

.flex-nowrap {
  flex-wrap: wrap;
}

@media (min-width: 600px) {
  .flex-nowrap {
    flex-wrap: nowrap;
  }
}

.grid {
  display: grid;
}

.p-1 {
  padding: .5em;
}

.pt-1 {
  padding-top: .5em;
}

.pl-1 {
  padding-left: .5em;
}

.pr-1 {
  padding-right: .5em;
}

.pb-1 {
  padding-bottom: .5em;
}

.p-2 {
  padding: 1em;
}

.p-4 {
  padding: 2em;
}

.mt-1 {
  margin-top: .5em;
}

.ml-1 {
  margin-left: .5em;
}

.mb-1 {
  margin-bottom: .5em;
}

.mt-2 {
  margin-top: 1em;
}

.mr-2 {
  margin-right: 1em;
}

.mt-4 {
  margin-top: 2em;
}

.bg {
  background-color: var(--pavlova);
  border-color: var(--border-color);
}

.bg-alt {
  background-color: var(--domino);
  border-color: var(--border-color-alt);
}

.bg-muted {
  background-color: var(--charcoal);
  border-color: var(--black);
}

.border {
  border-width: .25em;
  border-style: solid;
}

.border-sm {
  border-width: .125em;
}

.border-c {
  border-color: var(--border-color);
}

.border-c-alt {
  border-color: var(--border-color-alt);
}

.border-c-muted {
  border-color: var(--border-color-muted);
}

.border-btm {
  border-bottom-width: .125em;
  border-bottom-style: solid;
}

.rounded {
  border-radius: .5em;
}

.rounded-btm {
  border-bottom-left-radius: .5em;
  border-bottom-right-radius: .5em;
}

h1,
h2,
h3 {
  font-weight: 600;
  padding-top: .25em;
  padding-bottom: .25em;
}

h4,
h5,
h6 {
  font-weight: 500;
}

strong {
  font-weight: 700;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-sm {
  font-size: small;
}

.color {
  color: var(--azure);
  text-decoration-color: var(--azure);
}

.color-alt {
  color: var(--charcoal);
  text-decoration-color: var(--charcoal);
}

.text-underline {
  text-decoration: underline;
  text-decoration-color: var(--domino);
}

.pointer {
  cursor: pointer;
}

.avatar {
  width: 65px;
  height: 65px;
}

.avatar-sm {
  width: 32px;
  height: 32px;
}

.avatar-lg {
  width: 130px;
  height: 130px;
}

.role-icon {
  width: 40px;
  height: 40px;
  padding: .1em;
}

.role-icon-lg {
  width: 80px;
  height: 80px;
  padding: .2em;
}

[role-alignment] {
  border: .25em solid transparent;
  transition: filter 0.3s ease-in-out;
}

[role-alignment]:hover {
  filter: brightness(1.15);
}

[role-alignment="good"] {
  border-color: #4e95c0;
}

[role-alignment="evil"] {
  border-color: #d4585c;
}

[role-alignment="travellers"] {
  border-color: #9263ae;
}

.chart {
  display: inline-block;
  max-width: 100vw;
}

@media (min-width: 600px) {
  .chart {
    min-width: 20em;
  }

}

.games-grid {
  grid-template-columns: repeat(auto-fit, 100%);
}

.players-grid {
  grid-template-columns: repeat(auto-fit, 100%);
}

.players-games-grid {
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  /* full width for mobile */
  flex-basis: 100%;
  row-gap: 1em;
}

.roles-grid {
  grid-template-columns: repeat(auto-fit, 100%);
}

.winrates-grid {
  grid-template-columns: repeat(auto-fit, 100%);
}

.game-events-grid {
  grid-column: 1;
  grid-row: 2;
}

/* Small devices (portrait tablets and large phones, ≥600px) */
@media (min-width: 600px) {
  .players-grid {
    grid-template-columns: repeat(auto-fit, 50%);
  }

  .players-games-grid {
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    flex-basis: unset;
  }

  .roles-grid {
    grid-template-columns: repeat(auto-fit, 25%);
  }

  .winrates-grid {
    grid-template-columns: repeat(auto-fit, 25%);
  }
}

/* Large devices (laptops/desktops, 992px and up) */
@media (min-width: 992px) {
  .games-grid {
    grid-template-columns: repeat(auto-fit, 33.3%);
  }

  .players-grid {
    grid-template-columns: repeat(auto-fit, 25%);
  }

  .roles-grid {
    grid-template-columns: repeat(auto-fit, 20%);
  }

  .winrates-grid {
    grid-template-columns: repeat(auto-fit, 14%);
  }

  .game-events-grid {
    grid-template-columns: 5% 95%;
  }

  .chart {
    min-width: 22.5em;
  }
}

/* Extra Extra large devices (wide screen desktops, 1921px and up) */
@media (min-width: 1921px) {
  .games-grid {
    grid-template-columns: repeat(auto-fit, 25%);
  }

  .chart {
    min-width: 25em;
  }
}

.members {
  padding: .25em;
  background-color: green;
  width: fit-content;
  font-size: small;
  border-radius: .5em;
  text-align: center;
  text-wrap: nowrap;
}

.special {
  padding: .25em;
  background-color: var(--silver);
  color: var(--text-color-alt);
  width: fit-content;
  font-size: small;
  border-radius: .5em;
  text-align: center;
  text-wrap: nowrap;
}

.spoiler {
  background-color: var(--charcoal);
  color: transparent;
  cursor: pointer;
  border-radius: 0.2em;
  display: inline-block;
  transition: all 0.2s ease-in;
}

.spoiler:hover,
.spoiler:active,
.spoiler:focus {
  color: inherit;
  background-color: transparent;
}

.spoiler-winning-team {
  width: 6.25em;
}

iframe.yt-video {
  width: 560px;
  height: 315px;
}

img.yt-video {
  width: 200px;
  height: 128px;
  clip-path: inset(15px 0 15px 0);
}